Skip to content

Administratively cancels an unfinished process, including while the module is disabled.

POST
/api/workspace/workflow/runtime/instances/{id}/cancel
curl --request POST \
--url https://example.com/api/workspace/workflow/runtime/instances/example/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ExpectedInstanceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "OperationId": "example", "Reason": "example" }'
id
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

object
ExpectedInstanceRowVersion
string format: uuid
OperationId
string
nullable
Reason
string
nullable
Examplegenerated
{
"ExpectedInstanceRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"OperationId": "example",
"Reason": "example"
}

OK

Media typeapplication/json
object
Data
object
CommandId
string
nullable
WorkflowInstanceId
string
nullable
CommandStatus
integer format: int32
Allowed values: 0 1 2 3 4
Replayed
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"CommandStatus": 0
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}